%define momorel 1

Summary: The XmBDFEd BDF Font Editor
Name: xmbdfed
Version: 4.7
Release: %{momorel}m
License: MIT/X
Group: Applications/Productivity
Source0: http://crl.nmsu.edu/~mleisher/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: xmbdfed-4.7-Makefile.patch
URL: http://crl.nmsu.edu/~mleisher/xmbdfed.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: openmotif
BuildPreReq: openmotif-devel, freetype2-devel

%description
XmBDFEditor is a Motif-based BDF font editor

%prep

%setup -q 
%patch0 -p1

%build
make

%install
mkdir -p %{buildroot}/usr/X11R6/bin
mkdir -p %{buildroot}/usr/X11R6/man/man1
install -m 755 xmbdfed %{buildroot}/usr/X11R6/bin
install -m 644 xmbdfed.man %{buildroot}/usr/X11R6/man/man1/xmbdfed.1

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc CHANGES COPYRIGHTS README xmbdfedrc
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*

%changelog
* Thu Mar 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.7-1m)
- major feature enhancements

* Sat Oct 25 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.5-7m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (4.5-6k)
- rebuild against openmotif-2.2.2-2k.

* Wed Feb  6 2002 Kazuhiko <kazuhiko@kondara.org>
- (4.5-4k)
- apply an official patch

* Mon Nov 12 2001 Kazuhiko <kazuhiko@kondara.org>
- (4.5-2k)

* Thu Oct  5 2000 Kazuhiko <kazuhiko@kondara.org>
- (4.4-1k) initial release
- revise Makefile and bdf.h
- change fallback fontList resource from 100dpi to 75dpi
